## sdlip.examples
Class Client

    java.lang.Object
      |
      +--sdlip.examples.Client

public class Client
extends java.lang.Object

This is an example application included in the SDLIP distribution.

Usage: `java sdlip.examples.Client <URL_or_IOR> <method> ...method parameters...`

Allows to invoke all methods defined in the Search and ResultAccess interfaces on an LSP using a command line tool. The `<method>` parameter corresponds to the name of the method to be invoked. Following methods are supported:

       search              <clientSID> <queryStr> <numDocs> <stateTimeoutReq>
       getSessionInfo      <serverSID>
       getDocs             <serverSID> <reqID> <docsToGet>
       extendStateTimeout  <serverSID> <additionalTime>
       cancelRequest       <serverSID> <reqID>

Constructor Summary
`Client()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Client

    public Client()

Method Detail

### main

    public static void main(java.lang.String[] args)